-- body du paquetage P_Bounded_Io
-- fichier  p_bounded_io.adb
-- T.Avignon & D.Feneuille
-- Novembre  2001
-- Tp 12A

with Ada.Strings.Unbounded.Text_Io; use Ada.Strings.Unbounded.Text_Io;
                                    use Ada.Strings.Unbounded;
                                    
package body P_Bounded_Io is

   procedure Put (
         Item : in     P_Bounded.Bounded_String ) is 
   begin
      Ada.Text_Io.Put (P_Bounded.To_String (Item));
   end Put;

   procedure Put (
         File :        File_Type;               
         Item : in     P_Bounded.Bounded_String ) is 
   begin
      Ada.Text_Io.Put (File, P_Bounded.To_String (Item));
   end Put;

   procedure Put_Line (
         Item : in     P_Bounded.Bounded_String ) is 
   begin
      Ada.Text_Io.Put_Line (P_Bounded.To_String (Item));
   end Put_Line;

   procedure Put_Line (
         File :        File_Type;               
         Item : in     P_Bounded.Bounded_String ) is 
   begin
      Ada.Text_Io.Put_Line (File,P_Bounded.To_String (Item));
   end Put_Line;

   function Get_Line return P_Bounded.Bounded_String is 
      Ch : Unbounded_String;  
   begin
      Ch := Get_Line;
      return  P_Bounded.To_Bounded_String((To_String(Ch)));
   end Get_Line;

   function Get_Line (
         File : File_Type ) 
     return P_Bounded.Bounded_String is 
      Ch : Unbounded_String;  
   begin
      Ch := Get_Line(File);
      return  P_Bounded.To_Bounded_String((To_String(Ch)));
   end Get_Line;

end P_Bounded_Io;
