-- fichier ts_tp15_c.adb
-- TP 15 
-- D.Feneuille
-- travail attendu du TP 15 arithmetique intgration
-- test du paquetage avec les polynomes
-- modifi TA Novembre 2000
-- modifi DF mars 2002

with Ada.Text_Io;                use Ada.Text_Io;
with P_Integr; -- fait pendant le TP
with P_Rationnels_G.Io;
with P_Poly_V1_G.V2;  -- fait TP 13B

procedure Ts_Tp15_C is 

   type T_Entier is range - 1000 .. 1000;
 
   package P_Rationnel_Vrai is new  P_Rationnels_G(T_Entier);
   use P_Rationnel_Vrai; -- utile pour T_Rationnel de Set
   
   package P_Rationnel_Vrai_Io is new P_Rationnel_Vrai.Io;
--   use P_Rationnel_Vrai_Io;

   package P_Poly_V1_Vrai is new
      P_Poly_V1_G(10, P_Rationnel_Vrai, P_Rationnel_Vrai_Io);
   use P_Poly_V1_Vrai; -- utile pour T_Polynome

   package P_Poly_V2_Vrai is new P_Poly_V1_Vrai.V2;
   use P_Poly_V2_Vrai; -- utile pour Valeur

   function Val_Poly (
         X : Float ) 
     return Float; 
   -- dclarer  cette place pour l'instanciation ci-dessous
   -- le corps est dfini plus loin (notez cela)

   package P_Pol_Integ is new P_Integr(Float,Val_Poly);
   use  P_Pol_Integ;

   package P_Float is new Ada.Text_Io.Float_Io(Float);
   use P_Float;

   Poly : T_Polynome; -- pour VAL_POLY       
   Prec : Float;  
   Inf,  
   Sup  : Float;  

   function Val_Poly (
         X : Float ) 
     return Float is 
   begin
      return Valeur(Poly,X);
   end Val_Poly;

begin
   P_Poly_V2_Vrai.Set (Poly, (7/1, -1/1, 1/1));
   -- prenez d'autres coefficients rationnels vrais !
   -- et calculez le rsultat !!
   loop
      Put("entrez la prcision (0.0 pour sortir): ");
      Get(Prec);
      Skip_Line;
      exit when Prec <= 0.0;
      Put("entrez la borne infrieure: ");
      Get(Inf);
      Skip_Line;
      Put("entrez la borne suprieure: ");
      Get(Sup);
      Skip_Line;
      Put(" integrale: ");
      Put(Integrale(Inf,Sup,Prec),10,6,0);
      New_Line;
   end loop;

end Ts_Tp15_C;

-- exemple integrer x**2 -x + 7 entre 0 et 2
-- rsultat : 14,66666666....