-- fichier p_piece-salon.ads
-- T.  AVIGNON D.Feneuille
-- Novembre 98 TP 16
-- fichier donn

package P_Piece.Salon is

   type T_Meuble is (Table,Fauteuil,Canape,Chaises,Tapis);
   subtype T_Nb_Meuble is Natural range 0..5;

   type T_Piece_Salon  is new T_Piece   with private;

   function  Get_Nb (P_Salon : in T_Piece_Salon) return T_Nb_Meuble;
   procedure Get  (P_Salon : out T_Piece_Salon);
   procedure Put  (P_Salon : in  T_Piece_Salon);
private

   type T_Vect_Meuble is array (Natural range <>) of T_Meuble;
   type T_Meuble_Salon (Nb_Elem : T_Nb_Meuble:=0) is
   record
      V:T_Vect_Meuble(1..Nb_Elem);
   end record;

   type T_Piece_Salon   is new T_Piece   with
      record
      Meuble : T_Meuble_Salon;
   end record;

   package P_Meuble is new Ada.Text_Io.Enumeration_Io(T_Meuble);
   use P_Meuble;



end P_Piece.Salon;
