-- fichier P_Rationnels_g-Io.ads
-- Entres Sorties (fichier textes ou standard) sur les T_Rationnels
-- D. Feneuille 98 voir le paquetage pre
-- TP 11 (fichier donn)

with Ada.Text_Io;

generic  -- liste vide mais le pre est gnrique!
package P_Rationnels_G.Io is

   package Text_Io renames Ada.Text_Io;

   -- Spcification des E/S pour le paquetage sur les rationnels

   -- le fichier s'il existe doit tre ouvert !
   -- le premier nombre lu sera le numrateur
   -- le second aprs un / s'il existe sera le dnominateur
   -- sans / c'est un entier (numrateur seul!)
   -- le constructeur "/" est appel automatiquement

   procedure Get (
         Item :    out T_Rationnel ); 

   procedure Get (
         Fichier : in     Text_Io.File_Type; 
         Item    :    out T_Rationnel        ); 

   procedure Put (
         Item : in     T_Rationnel ); 
         
   procedure Put (
         Fichier : in     Text_Io.File_Type; 
         Item    : in     T_Rationnel        ); 

   -- lecture d'un Rationnel dans un String
   -- analogue  la lecture d'un Integer ou d'un Float
   -- dans un String (cf. Text_Io !)
   -- utile pour un TD-TP  venir (TD-TP 13B)
   -- Last renvoie le dernier caractre du rationnel trait
   -- pour rexploration ventuelle (cf lecture polynme TP13B)
   
   procedure Get (
         From : in     String;      
         Item :    out T_Rationnel; 
         Last :    out Natural      ); 

end P_Rationnels_G.Io;
