-- TP 12B
-- body du paquetage P_Bounded_G.P_Bounded_G_Io
-- fichier  p_bounded_g-p_bounded_g_io.adb
-- T.  AVIGNON et Daniel Feneuille
-- comparez galement avec la ralisation du TP 12A

with Ada.Strings.Unbounded.Text_Io; use Ada.Strings.Unbounded.Text_Io;
                                    use Ada.Strings.Unbounded;

package body P_Bounded_G.P_Bounded_G_Io is

   procedure Put (
         Item : in     Bounded_String ) is 
   begin
      Put( Item.Data(1..Item.Length));
   end Put;

   procedure Put (
         File :        File_Type;     
         Item : in     Bounded_String ) is 
   begin
      Put(File, Item.Data(1..Item.Length));
   end Put;

   procedure Put_Line (
         Item : in     Bounded_String ) is 
   begin
      Put_Line (Item.Data(1..Item.Length));
   end Put_Line;

   procedure Put_Line (
         File :        File_Type;     
         Item : in     Bounded_String ) is 
   begin
      Put_Line (File, Item.Data(1..Item.Length));
   end Put_Line;

   function Get_Line return Bounded_String is 
   begin
      return Get_Line(File => Standard_Input);
   end Get_Line;

   function Get_Line (
         File : File_Type ) 
     return Bounded_String is 
      Ch : Unbounded_String;  
      Bd : Bounded_String;  
   begin
      Ch := Get_Line(File);
      Bd.Length := Length(Ch);
      Bd.Data(1..Length(Ch))  := Slice(Ch,1,Length(Ch));
      return Bd;
   end Get_Line;

end P_Bounded_G.P_Bounded_G_Io;
