-- TP 14 (fin)
--  raliser par copier coller de p_proba2.adb

with Ada.Text_Io;

package body P_Proba3 is

   package Point_Fixe is new Ada.Text_Io.Fixed_Io(T_Proba);

   function "+" (
         Un,
         Deux : in     T_Proba )
     return T_Proba is
   begin
      return T_Proba (Nombre(Un) + Nombre(Deux)
         - Nombre(Un) * Nombre(Deux));
   end "+";

   function "*" (
         Un,
         Deux : in     T_Proba )
     return T_Proba is
   begin
      return T_Proba (Nombre(Un) * Nombre(Deux));
   end "*";

   function "-" (
         Un : in     T_Proba )
     return T_Proba is
   begin
      return T_Proba (Nombre(Certain) - Nombre(Un));
   end "-";

   procedure Get (
         Un :    out T_Proba ) is
   begin
      loop
         begin
            Point_Fixe.Get(Un) ;
            exit;
         exception
            when others =>
               Ada.Text_Io.Skip_Line;
               Ada.Text_Io.Put(" une probabilit svp ");
         end;
      end loop;
   end Get;

   procedure Get (
         Fich : in     File_Type;
         Un   :    out T_Proba    ) is
   begin
      Point_Fixe.Get(Fich,Un) ;
   end Get;

   procedure Put (
         Un : in     T_Proba ) is
   begin
      Point_Fixe.Put (Un,10 ,5, 0);
   end Put;

   procedure Put (
         Fich : in     File_Type;
         Un   : in     T_Proba    ) is
   begin
      Point_Fixe.Put (Fich, Un, 10, 5, 0);
   end Put;

end P_Proba3;
