-- fichier p_integr_acc.ads
-- Feneuille 98
-- TP 15
-- reprendre p_integr et utiliser un pointeur sur fonction !

generic
   type T_Reel is digits <>; 
   -- la fonction gnrique a disparu !

package P_Integr_Acc is

   type T_Ptr_F is access function 
   (X : T_Reel) return T_Reel;
   -- en plus ci-dessus!

   function Integ_Trap (
         A,                         
         B       : in     T_Reel;   
         Nb_Iter : in     Positive; 
         F       :        T_Ptr_F   ) 
     return T_Reel; 
   function Integ_Tang (
         A,                         
         B       : in     T_Reel;   
         Nb_Iter : in     Positive; 
         F       :        T_Ptr_F   ) 
     return T_Reel; 
   function Integrale (
         A,                    
         B    : in     T_Reel; 
         Prec : in     T_Reel; 
         F    :        T_Ptr_F ) 
     return T_Reel; 

   -- notez le pointeur en plus dans les trois fonctions!

   Exc_Erreur : exception; -- si A>= B

end P_Integr_Acc;

