-- fichier p_appartement.adb
-- T. AVIGNON D.Feneuille
-- Novembre 98 TP 16
-- fichier  raliser  partir du squelette

with Ada.Text_Io;              use  Ada.Text_Io;

package body P_Appartement is

   Compteur : Natural  := 0;
   Suivant  : Positive := 1;


   package P_Entier is new Ada.Text_Io.Integer_Io(Natural);
   use P_Entier;

   procedure Get(Appart : out T_Appartement) is
   begin
      Put_Line(Standard_Output,
                   "Saisie des caractristiques de la cuisine : ");
      Get(Appart.Cuisine);
      Put_Line(Standard_Output,
                      "Saisie des caractristiques de la salle de bain : ");
      Get(Appart.Salle_De_Bain);
      Put_Line(Standard_Output,"Saisie des caractristiques du salon : ");
      Get(Appart.Salon);
      Put_Line (Standard_Output,"Saisie des caractristiques des chambres ");
      Get(Appart.Chambre1);
      New_Line(Standard_Output);
      Get(Appart.Chambre2);
      New_Line(Standard_Output);
      Put_Line(Standard_Output,"Saisie des caractristiques de la cave : ");
      Get(Appart.Cave);
   end Get;

   procedure Put(Appart : in T_Appartement) is
   begin
      New_Line(2);
      Put_Line("DESCRIPTION DE L'APPARTEMENT ");
      New_Line(2);
      Put_Line("Caractristiques de la cuisine ");
      Put(Appart.Cuisine);
      New_Line;
      Put_Line("caractristiques de la salle de bain ");
      Put(Appart.Salle_De_Bain);
      New_Line;
      Put_Line ("Caractristiques du salon ");
      Put(Appart.Salon);
      New_Line;
      Put_Line("Caractristique des chambres ");
      New_Line;
      Put(Appart.Chambre1);
      New_Line;
      Put(Appart.Chambre2);
      New_Line;
      Put_Line("Caractristique de la cave ");
      Put(Appart.Cave);
      New_Line;
   end Put;

   procedure Initialize (Objet : in out T_Appartement)is
   begin
      Compteur:= Compteur + 1;
      Objet.Numero_Id := Suivant;
      Suivant:= Suivant + 1;
   end Initialize;


   procedure Finalize (Objet : in out T_Appartement) is
   begin
      Compteur:= Compteur -1;
   end Finalize;

   function Num_Id (Objet : in T_Appartement) return  Positive is
   begin
      return Objet.Numero_Id;
   end Num_Id;

   function Nb_Objet return Natural is
   begin
      return Compteur;
   end Nb_Objet;

end P_Appartement;
