-- D.F. novembre 2001
package P_Tp19 is

   Exc_Commande,  
   Exc_Acronyme : exception;  

   procedure Controle_Commande; 
   -- deux arguments, le premier un unique caractre N ou C ou n ou c
   -- le deuxime est contrl ensuite

   procedure Controle_Acronyme; 
   -- le deuxime argument est dans le fichier de flot

   procedure Calcul_Moyenne; 
   -- les notes sont dans l'lment qui suit l'acronyme dans le fichier
   -- il y a de zro  10 notes au plus 

   procedure Envoi_Moyenne; 
   -- le type d'envoi dpend du premier argument

private 

   type T_Nb_Note is range 0 .. 10; 
   subtype T_Nb_Note_Pos is T_Nb_Note range 1..T_Nb_Note'Last;
   type T_Val_Note is delta 0.01 range 0.0 .. 20.0; 
   type T_Vect is array (T_Nb_Note_Pos range <>) of T_Val_Note; 
   type Enreg 
         (Nb : T_Nb_Note := 0) is 
      record 
         Vect : T_Vect (1 .. Nb);  
      end record; 
end P_Tp19;

-- Rappel (programme utilisateur de ce paquetage)
--
-- un fichier de flot contient des sries de couples forms :
-- d'un acronyme et d'une suite de 10 notes maximum voire aucune !
-- l'utilisateur lance TP19 pour mettre la moyenne des notes
-- d'un acronyme donn.
-- la commande doit comporter deux arguments :
-- 1 un caractre N ou C (en minuscule ou en majuscule)
-- 2) l'acronyme pour la moyenne cherche
-- si la commande est incorrecte l'exception Exc_Commande est leve
-- si l'acronyme n'est pas dans la base de donnes (c'est un fichier)
-- alors l'exception Exc_Acronyme est leve.
-- Aprs calcul de la moyenne des notes (10 maxi voire aucune !)
-- On dite la moyenne ou on l'envoie par mail suivant 
-- que l'argument n1 est N (normal on dite) 
-- ou C (confidentiel on envoie par mail)
-- la rcupration des exceptions s'imposera

-- structure du fichier de flot (base de donnes) :
-- succession (ventuellement vide) de :
-- 1 un Unbounbed_String (l'acronyme)
-- 2 un article mutant form d'un discriminant du type
-- nombre de notes (0..10) et d'un vecteur de notes de type
-- delta 0.01  valeur dans 0..20
-- voir la partie prive